Subject: bug#52063: 28.0.60; Confusing presentation of lambda

From: Stefan Monnier <[email-masked]>
Date: Fri, 26 Nov 2021 08:13:51 -0500

> or something like that?  And in that case, we could just say even say that
>
>      (lambda (x)
>        (declare (environment ((bar . 2))))
>        (+ x bar))
>
> is how to represent this.  😀  (I.e., a `lambda' with a `declare
> environment' is a closure.)
>
> (Which would also mean that we'd have to allow `declare' in lambdas,
> which I think we should anyway.)

I sense a bit of confusion: we're talking about the runtime representation
of function values: those never occur in source code.

        Stefan